[pisa-src] r2556 - trunk/tools/testbed/plugins/actions/run/node_hook

  • From: Samuel Richter <samuel.richter@xxxxxxxxxxxxxx>
  • To: pisa-src@xxxxxxxxxxxxx
  • Date: Wed, 27 Apr 2011 07:12:54 +0200

Author: richter
Date: Wed Apr 27 07:12:54 2011
New Revision: 2556

Log:
improve 'run'-action for ssh execution on nodes.

assumes oppenssh though.

Modified:
   trunk/tools/testbed/plugins/actions/run/node_hook

Modified: trunk/tools/testbed/plugins/actions/run/node_hook
==============================================================================
--- trunk/tools/testbed/plugins/actions/run/node_hook   Wed Apr 27 06:57:48 
2011        (r2555)
+++ trunk/tools/testbed/plugins/actions/run/node_hook   Wed Apr 27 07:12:54 
2011        (r2556)
@@ -1,3 +1,7 @@
 #!/bin/sh
+set +e
 SSH_HOST="pisa-$NODE"
-ssh -t -p ${SSH_PORT:-22} ${SSH_USER:-$USER}@${SSH_HOST:-$NODE} sh "-l -c 
\"$ARGUMENTS\""
+SSH_OPTS=" -o ConnectTimeout=5 -o BatchMode=yes -o StrictHostKeyChecking=no -o 
LogLevel=quiet"
+ssh $SSH_OPTS -t -p ${SSH_PORT:-22} ${SSH_USER:-$USER}@${SSH_HOST:-$NODE} . 
/etc/profile \> /dev/null \; $ARGUMENTS ||\
+    echo "error running $ARGUMENTS on $NODE; returned \"$?\""
+set -e
-- 
This is the pisa developer mailing list. Please also subscribe to the main pisa 
list at:
//www.freelists.org/list/pisa

Other related posts:

  • » [pisa-src] r2556 - trunk/tools/testbed/plugins/actions/run/node_hook - Samuel Richter